%{?nodejs_find_provides_and_requires}

%global packagename suspend
%global enable_tests 1

Name:		nodejs-suspend
Version:	0.7.0
Release:	4%{?dist}
Summary:	Async control-flow for Node.js using ES6 generators

License:	MIT
URL:		https://github.com/jmar777/suspend
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(promise) > 6
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Async control-flow for Node.js using ES6 generators.


%prep
%autosetup -n package

# Create LICENSE file from README.md
sed -e '0,/^## License/d' README.md > LICENSE.md

%nodejs_fixdep promise

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 21 2017 Jared Smith <jsmith@fedoraproject.org> - 0.7.0-1
- Initial packaging
